## cpopen 1.3-2

=== Makefile ===
VERSION=1.3.2
RELEASE=0
NAME=cpopen
FULL_NAME=${NAME}-${VERSION}
TAR_FILE=${FULL_NAME}.tar.gz

SPECFILE=python-cpopen.spec

DIST=dist

TAR_DIST_LOCATION=${DIST}/${TAR_FILE}

all: build

.PHONY: build rpm srpm ${TAR_DIST_LOCATION} check-local dist check

${SPECFILE}: ${SPECFILE}.in
	sed \
		-e s/@VERSION@/${VERSION}/g \
		-e s/@RELEASE@/${RELEASE}/g \
		$< > $@

build:
	CPOPEN_VERSION=${VERSION} python setup.py build

check: check-local

check-local: build
	cd tests && nosetests tests.py

dist: $(TAR_DIST_LOCATION)

$(TAR_DIST_LOCATION):
	mkdir -p dist
	CPOPEN_VERSION=${VERSION} python setup.py sdist

srpm: ${SPECFILE} $(TAR_DIST_LOCATION) dist
	rpmbuild --define "_sourcedir `pwd`/${DIST}" -bs python-cpopen.spec

rpm: ${SPECFILE} ${TAR_DIST_LOCATION} dist
	rpmbuild --define "_sourcedir `pwd`/${DIST}" -ba python-cpopen.spec

clean:
	CPOPEN_VERSION=${VERSION} python setup.py clean
	rm -rf $(DIST)
	rm -rf build

=== control ===
Source: cpopen
Provide: python-cpopen
Maintainer: Simone Tiraboschi <stirabos@redhat.com>
Section: python
Priority: optional
Build-Depends: python-all-dev (>= 2.6.6-3), debhelper (>= 9)
Standards-Version: 3.9.6

Package: python-cpopen
Architecture: any
Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
Description: Creates a subprocess in simpler safer manner
 A C reimplementation of the tricky bits of Python's Popen.
 It is currently implemented in a very specific way and might break under
 general use.

## cpopen 1.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION=1.3.2
+VERSION=1.4
 RELEASE=0
 NAME=cpopen
 FULL_NAME=${NAME}-${VERSION}
@@ -26,7 +26,7 @@
 check: check-local
 
 check-local: build
-	cd tests && nosetests tests.py
+	nosetests tests/tests.py
 
 dist: $(TAR_DIST_LOCATION)

=== debian/changelog ===
cpopen (1.4-2) unstable; urgency=medium

  * Orphaned.

 -- Milan Zamazal <pdm@debian.org>  Wed, 11 Jul 2018 14:12:24 +0200

cpopen (1.4-1) unstable; urgency=low

  * Initial official Debian package, based on oVirt releng-tools packaging;
    closes: #777672.

 -- Milan Zamazal <mzamazal@redhat.com>  Thu, 31 Dec 2015 23:31:28 +0100

=== debian/control ===
Source: cpopen
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: python
Priority: optional
Build-Depends:
    python-all-dev (>= 2.6.6-3),
    python-all-dbg (>= 2.6.6-3),
    debhelper (>= 9),
    dh-python
Standards-Version: 3.9.6

Package: python-cpopen
Architecture: any
Depends:
    ${misc:Depends},
    ${python:Depends},
    ${shlibs:Depends}
Description: C reimplementation of the tricky bits of Python's Popen
 It provides some Popen tweaks utilized by Vdsm virtualization daemon.
 It is currently implemented in a very specific way and might break under
 general use.

Package: python-cpopen-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
    ${python:Depends},
    ${misc:Depends},
    ${shlibs:Depends},
    python-cpopen (= ${binary:Version})
Recommends:
    python-dbg
Description: C reimplementation of the tricky bits of Python's Popen
 It provides some Popen tweaks utilized by Vdsm virtualization daemon.
 It is currently implemented in a very specific way and might break under
 general use.
 .
 This package contains detached debugging symbols for python-cpopen.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=cpopen
export CPOPEN_VERSION="1.4"

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_strip:
	dh_strip -ppython-cpopen --dbg-package=python-cpopen-dbg
